## ros-kinetic-cob-hardware-config 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_hardware_config)

find_package(catkin REQUIRED)
catkin_package()

### TESTING ###
if(CATKIN_ENABLE_TESTING)
    find_package(cob_supported_robots REQUIRED)
    find_package(roslaunch REQUIRED)
    find_package(rostest REQUIRED)
    # loop through list of robots for testing
    foreach(robot ${cob_supported_robots_ROBOTLIST})
        message("testing for robot: ${robot}")
        roslaunch_add_file_check(upload_robot.launch robot:=${robot})
        add_rostest(test/urdf.test ARGS robot:=${robot})
    endforeach()
endif()

### INSTALL ###
install(DIRECTORY robots test
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES upload_robot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES display_robot.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-hardware-config (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #812 <https://github.com/ipa320/cob_robots/issues/812> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #810 <https://github.com/ipa320/cob_robots/issues/810> from ipa-fog/feature/tf2_fix
    canTransform argument target_frame in tf2 frame_ids cannot start with…
  * canTransform argument target_frame in tf2 frame_ids cannot start with a '/'
  * Merge pull request #795 <https://github.com/ipa320/cob_robots/issues/795> from HannesBachter/update_cob4-8
    update cob4-8 (kinetic + d435 cams)
  * calibrate cob4-8 base
  * fix diagnostics_analyzers for cob4-8
  * correct mount position for sensorring
  * use cad-conform version of head
  * harmonize head urdf fix with update
  * remove legacy transformation and fix indent
  * Better comment plus 6 mm fix (from doing the math)
  * Fix on the urdf: sensorring's parent link moved to head_2_link (previously on head_3_link, which is not how the hardware works)
  * update cob4-8 (is now running kinetic with d435 cams)
  * Contributors: Benjamin Maidel, FOG, Felix Messmer, MattiaRacca, fmessmer, hyb, ipa-cob4-8, mailto:myuser@myrobot

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-hardware-config (0.7.4-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hardware-config (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #806 <https://github.com/ipa320/cob_robots/issues/806> from fmessmer/remove_cob4-22
    remove cob4-22
  * remove cob4-22
  * Merge pull request #805 <https://github.com/ipa320/cob_robots/issues/805> from fmessmer/fix/joint_state_publisher_gui
    fix joint_state_publisher_gui repo split
  * fix joint_state_publisher_gui repo split
  * Backup kevins (#804 <https://github.com/ipa320/cob_robots/issues/804>)
    add auto init and auto recover for cob4-20 and cob4-23
  * Merge pull request #799 <https://github.com/ipa320/cob_robots/issues/799> from HannesBachter/add_cob4-23
    Add cob4 23
  * calibrate base by BUB
  * add cob4-23
  * Merge pull request #798 <https://github.com/ipa320/cob_robots/issues/798> from ipa-jba/feature/raw-mini
    Feature/raw mini
  * remove unneeded files
  * use raw_mini_base
  * fixed laser height
  * make rplidar launchfile use a config file
  * cleanup for now
  * Deleted raw_mini_base_controller.yaml
  * Clean-up
  * modified launch file
  * Added raw_mini_base_controller.yaml
  * Fixed bugs
  * Modified files for raw-mini
  * Removed unused files
  * Modified launch files
  * Added bringup files for raw-mini
  * Merge pull request #794 <https://github.com/ipa320/cob_robots/issues/794> from fmessmer/fix_deprecation_warning
    remove pre-hydro parameter static_map
  * remove pre-hydro parameter static_map
  * Merge pull request #792 <https://github.com/ipa320/cob_robots/issues/792> from fmessmer/ci_updates
    [travis] ci updates
  * fix test dependendies
  * catkin_lint fixes
  * Merge pull request #791 <https://github.com/ipa320/cob_robots/issues/791> from HannesBachter/update_cob4-16
    update cob4-16
  * update cob4-16 (is now running kinetic with d435 cams)
  * Contributors: Felix Messmer, Florian Weisshardt, HannesBachter, Jannik Abbenseth, flg-vs, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-hardware-config (0.7.2-1xenial) xenial; urgency=high

  * Merge pull request #786 <https://github.com/ipa320/cob_robots/issues/786> from fmessmer/add_cob4-24
    [WIP] add cob4 24
  * Merge pull request #24 <https://github.com/ipa320/cob_robots/issues/24> from HannesBachter/add_cob4-24
    fix gripper
  * fix gripper can, driver, ...
  * fix velocity filter and costmap config
  * add cob4-24
  * Merge pull request #785 <https://github.com/ipa320/cob_robots/issues/785> from HannesBachter/calibrate_cob4-3
    correct typo for fl FDM
  * correct typo for fl FDM
  * Merge pull request #784 <https://github.com/ipa320/cob_robots/issues/784> from HannesBachter/calibrate_cob4-3
    Calibrate cob4 3
  * harmonize config appearance
  * calibrate cob4-3 base
  * Merge pull request #783 <https://github.com/ipa320/cob_robots/issues/783> from HannesBachter/update_cob4-3
    update cob4-3 to regular cob base
  * update cob4-3 to regular cob base
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-hardware-config (0.7.1-1xenial) xenial; urgency=high

  * Merge pull request #782 <https://github.com/ipa320/cob_robots/issues/782> from fmessmer/comment_ur_dependencies
    [Melodic] workaround missing dependencies
  * comment ur dependencies
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-hardware-config (0.7.0-1xenial) xenial; urgency=high

  * Merge pull request #780 <https://github.com/ipa320/cob_robots/issues/780> from fmessmer/melodic_checks
    [Melodic] add melodic checks
  * added laser_filters prefix for melodic
  * fixed xacro:if condition for melodic
  * Merge pull request #779 <https://github.com/ipa320/cob_robots/issues/779> from HannesBachter/add_cob4-22
    add cob4-22
  * add cob4-22
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-hardware-config (0.6.11-1xenial) xenial; urgency=high

  * Merge pull request #775 <https://github.com/ipa320/cob_robots/issues/775> from fmessmer/add_cob4-25
    add cob4-25
  * update rviz config cob4-25
  * additional flexisoft params
  * add cob4-25
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-hardware-config (0.6.10-1xenial) xenial; urgency=high



=== debian/control ===
Source: ros-kinetic-cob-hardware-config
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-supported-robots, ros-kinetic-roslaunch, ros-kinetic-rostest
Homepage: http://ros.org/wiki/cob_hardware_config
Standards-Version: 3.9.2

Package: ros-kinetic-cob-hardware-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-calibration-data, ros-kinetic-cob-description, ros-kinetic-cob-omni-drive-controller, ros-kinetic-costmap-2d, ros-kinetic-diagnostic-aggregator, ros-kinetic-joint-state-controller, ros-kinetic-joint-state-publisher, ros-kinetic-joint-state-publisher-gui, ros-kinetic-joint-trajectory-controller, ros-kinetic-laser-filters, ros-kinetic-position-controllers, ros-kinetic-raw-description, ros-kinetic-robot-state-publisher, ros-kinetic-rviz, ros-kinetic-velocity-controllers, ros-kinetic-xacro
Description: This package contains configuration for each robot instance (e.g.
 cob4-X, raw3-X). There is a directory for each robot with configuration about urdf and hardware/device configurations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-hardware-config//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
